Edit financial settings
curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/financialSettings \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/financialSettings"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/financialSettings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"netRateScheme": {
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"isDefault": true,
"name": "<string>",
"uid": "<string>"
},
"priceList": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
}
}Project
Edit financial settings
PUT
/
api2
/
v1
/
projects
/
{projectUid}
/
financialSettings
Edit financial settings
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the project
Body
application/json
Financial settings to apply
Was this page helpful?
⌘I